gnutls_subject_alt_names_init(3)

NAME
gnutls_subject_alt_names_init - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_subject_alt_names_init(gnutls_subject_alt_names_t * sans);

ARGUMENTS

gnutls_subject_alt_names_t * sans
    The alternative names

DESCRIPTION
This function will initialize an alternative names structure.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/